import type { Dispatch, SetStateAction } from 'react';
import type { HadronIpcRenderer } from 'hadron-ipc';
export type ImportExportResult = 'canceled' | 'succeeded';
export type ConnectionShortInfo = {
    id: string;
    name: string;
    selected: boolean;
};
export type CommonImportExportState<ConnectionInfoType extends ConnectionShortInfo> = {
    filename: string;
    passphrase: string;
    connectionList: ConnectionInfoType[];
    error: string;
    inProgress: boolean;
};
export declare const COMMON_INITIAL_STATE: Readonly<CommonImportExportState<never>>;
export declare function useImportExportConnectionsCommon<S>(setState: Dispatch<SetStateAction<S>>, finish: (result: ImportExportResult) => void): {
    onCancel: () => void;
    onChangeConnectionList: (connectionList: ConnectionShortInfo[]) => void;
    onChangePassphrase: (passphrase: string) => void;
};
export declare function useOpenModalThroughIpc(open: boolean, openModal: () => void, ipcEvent: string, ipcForTesting?: HadronIpcRenderer | undefined): void;
//# sourceMappingURL=common.d.ts.map